+9.07
Рейтинг
22.06
Сила

Yuran

Словил ошибку

Ни с того ни с сего на главной выдало:

Fatal error: Uncaught exception 'SmartyException' with message 'Unable to load template file
 'topic_main.tpl'' in /...site.ru/engine/lib/external/Smarty/libs/sysplugins/
smarty_internal_template.php:168 Stack trace: #0/...site.ru/engine/lib/external/Smarty/libs/sysplugins/smarty_internal_template.php(557):
 Smarty_Internal_Template->isExisting(true) #1 /...site.ru/templates/compiled/street-
spirit/c38ff82358ad082f5caa5b061b6cda4d8d79497a.file.topic_topic.tpl.php(31): 
Smarty_Internal_Template->getRenderedTemplate() #2 /...site.ru/engine/lib/external/
Smarty/libs/sysplugins/smarty_internal_template.php(439): include('/var/www/admin/...') #3 
/...site.ru/engine/lib/external/Smarty/libs/sysplugins/smarty_internal_template.php(574): 
Smarty_Internal_Template->renderTemplate() #4 /...site.ru/templates/compiled/street-
spirit/88c788e398237dccfb590ef212bc31fc9c1626cc.file.topic_list_inj.tpl.php(28):
 Smarty_Internal_Te in /...site.ru/engine/lib/external/Smarty/libs/sysplugins/
smarty_internal_template.php on line 168

Доска объявлений

Требуется написать плагин аналогичный по функционалу плагину покупалка Тот плагин был написан под промежуточную ревизию ядра LS и не работает на стабильных версиях. И похоже автор забил на это дело. Желающие приобрести такой плагин прошу высказываться в комментах о готовности купить и о желаемом функционале. Возможно кто нибудь и возьмется.

Обновляем xcache до 1.30

Всем у кого установлена xcache рекомендую обновиться до версии 1.30. В ней исправлены многие ошибки в модуле кэширования и устранена ошибка, приводящая к segmentation fault при очень длинном пути в xcache.mmap_path.

Для архитектуры i386:
wget http://d.sjinks.pro/xCache/php5-xcache_1.3.0-1~intrepid~sj2_i386.deb -O php5-xcache_1.3.0-1~intrepid~sj2_i386.deb
dpkg -i php5-xcache_1.3.0-1~intrepid~sj2_i386.deb

Для архитектуры amd64:
wget http://d.sjinks.pro/xCache/php5-xcache_1.3.0-1~intrepid~sj2_amd64.deb -O php5-xcache_1.3.0-1~intrepid~sj2_amd64.deb
dpkg -i php5-xcache_1.3.0-1~intrepid~sj2_amd64.deb


Взято отсюда

Самая новая версия на сегодня 1.32, кто поделится как легко обновиться до актуальной версии буду премного благодарен.

Системная ошибка повторите позже

Обновил сайт с 0.3.1 до 0.4.2, в основном все нормально прошло, все работает. Но при попытке добавить кого нибудь в друзья выскакивает пресловутое «Системная ошибка, повторите позже». По сайту здесь смотрел и искал — ничего внятного… Подскажите светлые головы куда копать… и почему такое сообщение непонятное… что если повторить завтра то ошибка исчезнет что ли? Да фиг там, это «повторите позже» будет всегда. Прошу помочь решить проблему.

Как на сайте может быть пользователь которого нет в БД

Конечно вчерашний день но тем не менее есть сайт на LS 0.3.1. Такой вопрос, обнаружил пользователя, ну явный спамер, ну пес с ним спамеры были и будут… Но его нет в БД сайта, в phpmyadmin просматриваю всех пользователей, задаю поиск по ID, по нику, по Email — его там просто нет, а на сайте он есть и в админ панели есть. Что это? очередной взлом? Прошу пояснить знающих людей как такое вообще может быть… Могу представить скриншоты и даже доступ к сайту чтобы разобраться что это за мистика.

Борьба с 502 bad gateway или как установить xcache на 0.4.2

Итак после долгих мытарств и по мотивам livestreet.ru/blog/questions/5335.html решил написать как установить xcache на LS 0.4.2. Мне установка xcache реально помогла в решении проблемы ошибки 502 и в целом для более стабильной работы сайтов. Итак поехали:
Первым делом убираем memcache и eaccelerator. Я не стал ничего удалять из системы, просто закомментировал в php.ini строки относящиеся к eaccelerator, аналогично в /etc/php5/conf.d/memcache.ini также все закомментировал. Наверное это неправильно, кто знает как совсем удалить отпишитесь в каментах.

Теперь собственно установка xcache:

apt-get install php5-xcache


Установили, теперь настраиваем:
nano /etc/php5/apache2/conf.d/xcache.ini


Редактируем секцию админки:
Читать дальше →

Проблема с xtext или с хостингом?

Народ у меня проблема из разряда «большая загадка». Вот как такое может быть, при переходе по одним топикам выдает 502 Bad Gateway — при переходе по другому топику все работает исправно.

Например multiblog.ru/blog/86.html — все время выдает 502 Bad Gateway

А здесь multiblog.ru/blog/61.html — все время работает как положено.

Тоже самое происходит при редактировании этих топиков и последующей публикации, просто нажав редактировать и ничего не меняя нажать опубликовать.

Когда происходит 502 — то в логах апача появляется такая запись:

[Mon Sep 13 04:34:39 2010] [notice] child pid 17539 exit signal Segmentation fault (11)

А в логах nginx такая запись:

2010/09/13 02:50:51 [error] 22097#0: *237 upstream prematurely closed connection while reading response header from upstream, client: xx.xxx.xxx.xx, server: multiblog.ru, request: «GET /blog/86.html HTTP/1.1», upstream: «188.40.165.37:8080/blog/86.html», host: «multiblog.ru», referrer: «multiblog.ru/topic/edit/86/»

Много где искал решения этой проблемы — так и не решил. Кто нибудь может знает куда копать в решении этой проблемы. И главное как понять виноват VPS или может в самом модуле XTEXT какая нибудь ошибка. Проблема именно проявляется когда включен XTEXT и обязательно когда используется GMAP. Пытались вместе решить эту проблему с автором модуля Xtext но не получилось. Может кто нибудь подскажет решение? Сам я в программировании не шарю, вот тут нарыл что то по этой теме broderix.blogspot.com/2009/03/segmentation-fault-php5.html Я не утверждаю, что баг именно в плагине Xtext, но с другой стороны на VPS 5 сайтов, на разных системах и таких проблем нет. Прошу помочь знающих людей. Заранее спасибо.

Что с редактором tinymce?

Включил в админке галку «использовать tinymce» — ничего кроме ввода текста не работает. Нажимаю на кнопку вставки html кода — всплывает окно, в шапке окна {#advanced_dlg.code_title} и пустое белое окно, т.е. курсор в него не поставить. Такая же хрень при нажатии кнопок загрузки картинки и видео. Проверил в Opera 10.60 и FF 3.6.6 — не работает. Кто нибудь знает как его настроить? И зачем такой редактор в дефолтной сборке LS если он не фурычит?

Livestreet Profiler Plugin - для чего нужен?

Прочитал здесь про плагины. Так и не понял для чего нужен стандартный Livestreet Profiler Plugin? Что он конкретно делает? И почему при активированном плагине внизу страницы надпись: Profiler: Off | Profiler reports Надпись эта видна всем, если не залогинен как админ — выдает «Нет доступа». Ну с этим ладно, нетрудно сделать чтобы она выводилась только админу. Вопрос в другом, если можно небольшой пример использования этого плагина. Спасибо.

Что за ...?

Недавно высказал свое мнение насчет перехода на 0.4 а более конкретно будут ли переводить модули созданные под 0.3.1 под версию LS 0.4. Это был топик что то вроде «Все модули списком» где были расписаны совместимость с версией, ID модуля, цена или бесплатный и т.п. Что то сейчас ищу его и не могу найти. Походу его удалили:) Хотелось бы узнать зачем удалили и что это вообще за отношение. Кто то хочет чтобы все модули (плагины) люди купили заново или как?